#include <OI/oi.H> /*** hexef.C ***/
#include "hexef.H"
#include <stdlib.h>

 HexEntryField::HexEntryField (
			char		*usr_namp,
			OI_number	len,		/* # chars displayed in entry field */
			char		*labp,		/* ptr to label for field */
			char		*defp)		/* ptr to default string */
			: OI_entry_field(usr_namp,len,labp,defp,len)
{
	if (OI_status >= 0) {
		set_char_chk(this,(OI_ef_char_chk_memfn*)&HexEntryField::char_chk) ;
	}
}

 OI_ef_char_chk_status HexEntryField::char_chk (OI_entry_field*, void*, OI_number, char c)
{
			OI_ef_char_chk_status	ok ;

	ok = OI_EF_CHAR_CHK_BAD ;
	if ((c != '\0') && isxdigit(c))
		ok = OI_EF_CHAR_CHK_INSERT ;
	return(ok) ;
}
